Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu
Class Response.Render

    java.lang.Object
      juzu.Response
          juzu.Response.Content<Stream.Char>
              juzu.Response.Render

Enclosing class:
  Response

    public static class Response.Render

extends Response.Content<Stream.Char>

Nested Class Summary

Nested classes/interfaces inherited from class juzu.Response
`Response.Content<S extends Stream>, Response.Error, Response.Redirect, Response.Render, Response.View`

Constructor Summary
`Response.Render()`
`Response.Render(int status, PropertyMap properties, Streamable<Stream.Char> streamable)`
`Response.Render(int status, Streamable<Stream.Char> streamable)`
`Response.Render(PropertyMap properties, Streamable<Stream.Char> streamable)`
`Response.Render(Streamable<Stream.Char> streamable)`

Method Summary
`Iterable<Map.Entry<String,String>>` | `getMetaTags()`
`Iterable<String>` | `getScripts()`
`Iterable<String>` | `getStylesheets()`
`String` | `getTitle()`
`String` | `toString()`
`Response.Render` | `with(PropertyType<Boolean> propertyType)` Set a boolean property to true.
`
`<T> Response.Render`
` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.
`Response.Render` | `withHeader(String name, String... value)`
`Response.Render` | `withMetaTag(String name, String value)`
`Response.Render` | `withMimeType(String mimeType)`
`Response.Render` | `withNo(PropertyType<Boolean> propertyType)` Set a boolean property to false.
`
`<T> Response.Render`
` | `without(PropertyType<T> propertyType)` Removes a property.
`Response.Render` | `withScripts(String... scripts)`
`Response.Render` | `withStylesheets(String... stylesheets)`
`Response.Render` | `withTitle(String title)`

Methods inherited from class juzu.Response.Content
`getKind, getMimeType, getStatus, getStreamable, send`

Methods inherited from class juzu.Response
`content, content, content, error, error, getProperties, notFound, notFound, ok, ok, redirect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Response.Render

    public Response.Render()

### Response.Render

    public Response.Render(int status,
                           PropertyMap properties,
                           Streamable<Stream.Char> streamable)

### Response.Render

    public Response.Render(int status,
                           Streamable<Stream.Char> streamable)

### Response.Render

    public Response.Render(PropertyMap properties,
                           Streamable<Stream.Char> streamable)

### Response.Render

    public Response.Render(Streamable<Stream.Char> streamable)

Method Detail

### with

    public <T> Response.Render with(PropertyType<T> propertyType,
                                    T propertyValue)
                         throws NullPointerException

  Description copied from class: `Response`
  Set a property, if the value is null, the property is removed.

  Overrides:
    `with` in class `Response.Content<Stream.Char>`
  Parameters:
    `propertyType` - the property type
    `propertyValue` - the property value
  Throws:
    `NullPointerException` - if the property type is null

### without

    public <T> Response.Render without(PropertyType<T> propertyType)
                            throws NullPointerException

  Description copied from class: `Response`
  Removes a property.

  Overrides:
    `without` in class `Response.Content<Stream.Char>`
  Parameters:
    `propertyType` - the property type
  Throws:
    `NullPointerException` - if the property type is null

### with

    public Response.Render with(PropertyType<Boolean> propertyType)
                         throws NullPointerException

  Description copied from class: `Response`
  Set a boolean property to true.

  Overrides:
    `with` in class `Response.Content<Stream.Char>`
  Parameters:
    `propertyType` - the property type
  Throws:
    `NullPointerException` - if the property type is null

### withNo

    public Response.Render withNo(PropertyType<Boolean> propertyType)
                           throws NullPointerException

  Description copied from class: `Response`
  Set a boolean property to false.

  Overrides:
    `withNo` in class `Response.Content<Stream.Char>`
  Parameters:
    `propertyType` - the property type
  Throws:
    `NullPointerException` - if the property type is null

### withMimeType

    public Response.Render withMimeType(String mimeType)

  Overrides:
    `withMimeType` in class `Response.Content<Stream.Char>`

### withHeader

    public Response.Render withHeader(String name,
                                      String... value)

  Overrides:
    `withHeader` in class `Response.Content<Stream.Char>`

### getTitle

    public String getTitle()

### withTitle

    public Response.Render withTitle(String title)

### getScripts

    public Iterable<String> getScripts()

### withScripts

    public Response.Render withScripts(String... scripts)
                                throws NullPointerException

  Throws:
    `NullPointerException`

### getStylesheets

    public Iterable<String> getStylesheets()

### withStylesheets

    public Response.Render withStylesheets(String... stylesheets)
                                    throws NullPointerException

  Throws:
    `NullPointerException`

### getMetaTags

    public Iterable<Map.Entry<String,String>> getMetaTags()

### withMetaTag

    public Response.Render withMetaTag(String name,
                                       String value)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.